Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/gpm: libs moved to -libs subpackage. non-daemon binaries moved to -utils subpackage. init-script cleanups

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Sun, 13 Dec 2015 16:37:29 +0200

---
 testing/gpm/APKBUILD  | 36 ++++++++++++++++++++++--------------
 testing/gpm/gpm.confd |  2 +-
 testing/gpm/gpm.initd | 26 ++++----------------------
 3 files changed, 27 insertions(+), 37 deletions(-)
diff --git a/testing/gpm/APKBUILD b/testing/gpm/APKBUILD
index 2efae56..eab9a6f 100644
--- a/testing/gpm/APKBUILD
+++ b/testing/gpm/APKBUILD
_at_@ -2,26 +2,26 @@
 # Maintainer: Jeff Pohlmeyer <yetanothergeek_at_gmail.com>
 pkgname=gpm
 pkgver=1.20.7
-pkgrel=1
+pkgrel=2
 pkgdesc="A mouse server for the console"
 url="http://www.nico.schottelius.org/software/gpm/"
 arch="all"
 license="GPL"
 depends=""
-depends_dev=""
-makedepends="$depends_dev texinfo autoconf automake libtool bison linux-headers"
+depends_dev="$pkgname-libs"
+makedepends="$depends_dev texinfo autoconf automake libtool bison linux-headers ncurses-dev"
 install=""
-subpackages="$pkgname-dev $pkgname-doc"
-source="http://www.nico.schottelius.org/software/gpm/archives/gpm-$pkgver.tar.bz2
+subpackages="$pkgname-dev $pkgname-doc $pkgname-libs $pkgname-utils"
+source="http://www.nico.schottelius.org/software/gpm/archives/$pkgname-$pkgver.tar.bz2
 	error-format.patch
 	01-Iheaders.patch
 	02-sys-select.patch
 	03-gpmroot.patch
-	gpm.initd
-	gpm.confd
+	$pkgname.initd
+	$pkgname.confd
 	"
 
-_builddir="$srcdir"/gpm-$pkgver
+_builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
 	local i
 	cd "$_builddir"
_at_@ -59,24 +59,32 @@ package() {
 	chmod 755 "$pkgdir"/usr/lib/libgpm.so.*
 }
 
+utils() {
+	depends="$pkgname"
+	pkgdesc="Mouse utilities for console"
+	mkdir -p "$subpkgdir"/usr
+	mv "$pkgdir"/usr/bin "$subpkgdir"/usr/ || return 1
+	rmdir "$pkgdir"/usr/lib || return 1
+}
+
 md5sums="bf84143905a6a903dbd4d4b911a2a2b8  gpm-1.20.7.tar.bz2
 ba7ffe9a3b6e3f672081a5b7d17f4766  error-format.patch
 3adbe10e28d14d5b498a83bbccbba427  01-Iheaders.patch
 6b6ef5234d6903c666e0f12eb8a1b958  02-sys-select.patch
 3b2fe9f664c36f5cd395376eca43e63f  03-gpmroot.patch
-0eeefbbd956ee14cb20161d5a7a5bdc6  gpm.initd
-2243adac99a888b0598d6b9233862788  gpm.confd"
+c2d6e7341dc2bd285e276b14336b4bf6  gpm.initd
+887ce2e3743ac8ea9baf9f723876dc4b  gpm.confd"
 sha256sums="f011b7dc7afb824e0a017b89b7300514e772853ece7fc4ee640310889411a48d  gpm-1.20.7.tar.bz2
 290e032640c8cfb95d5a8dddfd99e11887100b08750b9f5ceaec6e3209e3ebf3  error-format.patch
 4b99946b86d9f21d7ec4f3e366dab18a57133903c480408bf0eb838fccc2f11d  01-Iheaders.patch
 04487ddfe3e2f5ada548d55bc0e62bf5f36e92641d254f4f24ee0428253b26a5  02-sys-select.patch
 a202d783c586e959ca28bc8bea5c99f0f1c68679f223a2241b04f74d9a31d01c  03-gpmroot.patch
-41849c683967590db3217dd231df3fdf83ecdf01c657221ff4cbe45aa63d498f  gpm.initd
-daad6a5d900215b27ad86d1352724fea2df39581e1ae6e808f627d6f8bab3b2e  gpm.confd"
+d3b6ba9da912f628572d9679311f562a2fb318765ae7397da535df830ccd09ba  gpm.initd
+260b40ffebc7eca901203ca7083cfd72a8ffb5da7210840b389ddc2317e80dba  gpm.confd"
 sha512sums="51c1141ed502f8b6bc846485a8e315bafe3cf2b7c9d1ea8a710d9748ff2058f29c7ab5715fc1730a8437c613181d2050f37b134e9288c69ba8ff7fb0be7ec0d1  gpm-1.20.7.tar.bz2
 caad0472374b9bb9bdf8f31480f88895b2d65dc0565611932fa185592ffcc18065bb66b433f54f0df9f6173056b6c34ec5d57f79bd19f38edefeca57603bc76c  error-format.patch
 cb9fa2c48b5fa7f06ccfa8be57e421ee228b49707027094a2fdca5809407e7e277484c820ed4ee0800ef1a36bfc322ac33b2f29b4411ffab345c900931113863  01-Iheaders.patch
 24fbc48408388a7481dadbccc6da3edbd5f82a644460e5a9ca6039fbac2d2eff6c16002b2158c1955fbd2677655b8b1acd1e12b94b9c29eeddb1a883e813e2a7  02-sys-select.patch
 5a021516a4833a270cbb7537f2096d6deabd40d874a9f4f9ba4d5728a89e1626ea9cbc4fefee354950f145d4c8735504a128da0fac7fa74a9c32c0d5a93125e9  03-gpmroot.patch
-81b0854b6d8b3fcf5a26690b9cb17878af412e773726cdd7c3e90504e85fd5aff0614c171757256c832e20521a734d353f4c38684ab5f749f20dbc497cc680e5  gpm.initd
-25a7ebc60df8e9dda197ae7cf18fdb036793e15aeb06757a872ad25b8ad28cd0686e7ef89a47ee677ae6bfee980abd3777e89be84b2a2611141dc688c20c3ed6  gpm.confd"
+d268504bd0cf83706863a8af5c5719b0d192c34ae6a78ff0378521841eca242b39a6e6891080a5fc5512732f84e7439697ba92bfda3ecc1aaebd36b16e946477  gpm.initd
+0e7c96f29222d33301fc9c5c8cf409b7dbe6cbb1e79d76444ae5724e8b793679d3ea597a8ad64187e85680799847632095e469445ae56f893616cb0235a29f3a  gpm.confd"
diff --git a/testing/gpm/gpm.confd b/testing/gpm/gpm.confd
index a3c6be6..eb77c71 100644
--- a/testing/gpm/gpm.confd
+++ b/testing/gpm/gpm.confd
_at_@ -4,5 +4,5 @@
 # Specify gpm mouse daemon options here.
 #
 
-gpm_opts="-m /dev/input/mice -t imps2"
+#gpm_opts="-m /dev/input/mice -t imps2"
 
diff --git a/testing/gpm/gpm.initd b/testing/gpm/gpm.initd
index 207b4c0..85b292c 100644
--- a/testing/gpm/gpm.initd
+++ b/testing/gpm/gpm.initd
_at_@ -1,28 +1,10 @@
-#!/sbin/runscript
+#!/sbin/openrc-run
 
-# gpm init.d file for alpine linux.
-
-name=gpm
-daemon=/usr/sbin/${name}
+pidfile=/var/run/gpm.pid
+command=/usr/sbin/gpm
+command_args=${gpm_opts:--m /dev/input/mice -t imps2}
 
 depend() {
 	after localmount
 	use hotplug logger
 }
-
-start() {
-	ebegin "Starting ${name}"
-		start-stop-daemon --start --quiet \
-			--pidfile /var/run/${name}.pid \
-			--exec ${daemon} -- ${gpm_opts}
-	eend $?
-}
-
-stop() {
-	ebegin "Stopping ${name}"
-		start-stop-daemon --stop --quiet \
-			--pidfile /var/run/${name}.pid \
-			--exec ${daemon}
-	eend $?
-}
-
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Dec 13 2015 - 16:37:29 GMT